Attach Discount To Invoice Item
Attach a discount to a specific invoice item.
Item-level discounts are always one-time and apply to that specific item.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
invoice_item_external_id
account_id
Request
This endpoint expects an object.
coupon_id
ID of the coupon to apply
promotion_code
Optional promotion code used to apply this coupon
start_date
When the discount becomes active (defaults to now)
end_date
When the discount expires (based on coupon duration if not set)
metadata
Arbitrary metadata
Response
Successful Response
id
coupon_id
promotion_code_id
attachment_level
customer_id
subscription_id
invoice_id
invoice_item_id
start_date
end_date
is_active
metadata
created_at
updated_at
Errors
422
Unprocessable Entity Error